pappso::MzxmlOutput::Translater Class Reference
Inheritance diagram for pappso::MzxmlOutput::Translater:

## Public Member Functions

| Translater (MzxmlOutput *p_mzxml_output)
virtual | ~Translater ()
virtual void | setQualifiedMassSpectrum (const QualifiedMassSpectrum &spectrum) override
virtual bool | needPeakList () const override
| tells if we need the peak list (if we want the binary data) for each spectrum More...
Public Member Functions inherited from pappso::SpectrumCollectionHandlerInterface
virtual bool | needMsLevelPeakList (unsigned int ms_level) const final
| tells if we need the peak list (if we want the binary data) for each spectrum, given an MS level More...
virtual void | setNeedMsLevelPeakList (unsigned int ms_level, bool want_peak_list) final
| tells if we need the peak list given More...
virtual bool | shouldStop ()
virtual void | loadingEnded ()
virtual void | spectrumListHasSize (std::size_t size)
virtual void | setReadAhead (bool is_read_ahead) final
| use threads to read a spectrum by batch of batch_size More...
virtual bool | isReadAhead () const
| tells if we want to read ahead spectrum More...

## Private Attributes

MzxmlOutput * | mp_output

## Detailed Description

Definition at line 75 of file mzxmloutput.h.

## Constructor & Destructor Documentation

## Translater()

MzxmlOutput::Translater::Translater | ( | MzxmlOutput * | p_mzxml_output | ) |

Definition at line 52 of file mzxmloutput.cpp.

{
mp_output = p_mzxml_output;
}
pappso::MzxmlOutput::Translater::mp_output
MzxmlOutput * mp_output
Definition: mzxmloutput.h:85

References mp_output.

## ~Translater()

MzxmlOutput::Translater::~Translater | ( |  | ) |

virtual

Definition at line 56 of file mzxmloutput.cpp.

{
}

## Member Function Documentation

## needPeakList()

bool MzxmlOutput::Translater::needPeakList | ( |  | ) | const

override virtual

tells if we need the peak list (if we want the binary data) for each spectrum

Implements pappso::SpectrumCollectionHandlerInterface.

Definition at line 69 of file mzxmloutput.cpp.

{
return true;
}

## setQualifiedMassSpectrum()

void MzxmlOutput::Translater::setQualifiedMassSpectrum | ( | const QualifiedMassSpectrum & | spectrum | ) |

override virtual

Implements pappso::SpectrumCollectionHandlerInterface.

Definition at line 60 of file mzxmloutput.cpp.

{
qDebug();
mp_output->m_monitor.count();
mp_output->writeQualifiedMassSpectrum(spectrum);
qDebug();
}
pappso::MzxmlOutput::m_monitor
UiMonitorInterface & m_monitor
Definition: mzxmloutput.h:90
pappso::MzxmlOutput::writeQualifiedMassSpectrum
void writeQualifiedMassSpectrum(const QualifiedMassSpectrum &spectrum)
Definition: mzxmloutput.cpp:267
pappso::UiMonitorInterface::count
virtual void count()=0
count steps report when a step is computed in an algorithm

## Member Data Documentation

## mp_output

MzxmlOutput* pappso::MzxmlOutput::Translater::mp_output

private

Definition at line 85 of file mzxmloutput.h.

Referenced by Translater().

The documentation for this class was generated from the following files:

- pappsomspp/msrun/output/mzxmloutput.h
- pappsomspp/msrun/output/mzxmloutput.cpp